package main

import (
	"log"

	"PersonalWebsite/Database"
	"PersonalWebsite/Variables"
	"PersonalWebsite/Webserver"
)

func main() {
	var e error

	log.Println("Initialising database connection...")

	Database.InitDatabaseConn()
	if e != nil {
		log.Fatal(e)
	}

	log.Printf(
		"Starting webserver on %s\n",
		Variables.WebserverHost,
	)
	e = Webserver.Start()
	if e != nil {
		log.Fatal(e)
	}
}
